
public class Dimensions
   {
   /*
   Define an object to hold a width and height.
   */

   //this dimensions object has a width and height
   private double width, height;

   public Dimensions()
      {
      /*
      Initialize this dimensions to a width and height of 1.
      */

      this(1, 1);
      }

   public Dimensions(double width, double height)
      {
      /*
      Initialize this dimensions to the given width and height.
      */

      this.width = width; this.height = height;
      }

   public final double getWidth()
      {
      /*
      Report this dimensions' width.
      */

      return width;
      }

   public final void setWidth(double width)
      {
      /*
      Alter this dimensions' width.
      */

      this.width = width;
      }

   public final double getHeight()
      {
      /*
      Report this dimensions' height.
      */

      return height;
      }

   public final void setHeight(double height)
      {
      /*
      Alter this dimensions' height.
      */

      this.height = height;
      }

   public String toString()
      {
      /*
      Report this dimensions' string representation.
      */

      return "[" + this.getWidth() + "," + this.getHeight() + "]";
      }
   }
