
import Tuple;

public class Circle
   {
   /*
   Define an object to represent a circle.
   */

   //this circle has a center and a radius
   private Tuple center;
   private final double radius;

   public Circle(Tuple center, double radius)
      {
      /*
      Initialize this circle with the given values.
      */

      this.center = new Tuple(center.getX(), center.getY());
      this.radius = radius;
      }

   public final double getRadius()
      {
      /*
      Report this circle's radius.
      */

      return radius;
      }

   public final Tuple getCenter()
      {
      /*
      Report this circle's center.
      */

      return new Tuple(center.getX(), center.getY());
      }

   public final double getXCenter()
      {
      /*
      Report this circle's center's x-value.
      */

      return center.getX();
      }

   public final void setXCenter(double xCenter)
      {
      /*
      Alter this circle's center's x-value.
      */

      center.setX(xCenter);
      }

   public final double getYCenter()
      {
      /*
      Report this circle's center's y-value.
      */

      return center.getY();
      }

   public final void setYCenter(double yCenter)
      {
      /*
      Alter this circle's center's y-value.
      */

      center.setY(yCenter);
      }
   }
